org.apache.calcite.avatica.util

## Class TimeUnitRange.Pair<E>

- java.lang.Object
- - org.apache.calcite.avatica.util.TimeUnitRange.Pair<E>

Enclosing class:
  TimeUnitRange

    private static class TimeUnitRange.Pair<E>
    extends Object

Immutable pair of values of the same type.

### Field Summary

Fields
`(package private) E` `left`
`(package private) E` `right`

### Constructor Summary

Constructors
`private` `TimeUnitRange.Pair(E left, E right)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### left

    final E left

#### right

    final E right

### Constructor Detail

#### TimeUnitRange.Pair

    private TimeUnitRange.Pair(E left,
                      E right)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`